# https://github.com/pyside/PySide/archive/1.2.4.tar.gz
%define qtver 4.8
%define py3verflags %(python3 -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")
%define pyname PySide
%define module pyside

%global pyside_eggpath_py2 %{python2_sitearch}/PySide-%{version}-py%{python2_version}.egg-info
%global pyside_eggpath_py3 %{python3_sitearch}/PySide-%{version}-py%{python3_version}.egg-info

Name:           python-%{module}
Version:        1.2.4
Release:        %mkrel 1
Summary:        The PySide project provides LGPL-licensed Python bindings for the Qt

License:        LGPLv2+
Group:          Development/KDE and Qt
URL:            http://www.pyside.org
Source0:        %{pyname}-%{version}.tar.xz
Source1:        python-pyside-1.2.4-PKG-INFO.txt

BuildRequires:  cmake
BuildRequires:  %{_lib}qt4-devel
BuildRequires:  %{_lib}qtwebkit4-devel
BuildRequires:  phonon-devel
BuildRequires:  python-devel
BuildRequires:  python3-devel
BuildRequires:  python-shiboken-devel
%rename         %{_lib}%{module}1
%rename         %{module}
%rename         %{module}-core
%rename         %{module}-declarative
%rename         %{module}-gui
%rename         %{module}-help
%rename         %{module}-multimedia
%rename         %{module}-network
%rename         %{module}-opengl
%rename         %{module}-phonon
%rename         %{module}-script
%rename         %{module}-scripttools
%rename         %{module}-sql
%rename         %{module}-svg
%rename         %{module}-test
%rename         %{module}-tools
%rename         %{module}-uitools
%rename         %{module}-webkit
%rename         %{module}-xml
%rename         %{module}-xmlpatterns

%description
%{summary}.

%package -n     python3-%{module}
Summary:        %{summary}
Group:          Development/KDE and Qt
%rename         %{_lib}python3-%{module}1
%rename         python3-%{module}
%rename         python3-%{module}-core
%rename         python3-%{module}-declarative
%rename         python3-%{module}-gui
%rename         python3-%{module}-help
%rename         python3-%{module}-multimedia
%rename         python3-%{module}-network
%rename         python3-%{module}-opengl
%rename         python3-%{module}-phonon
%rename         python3-%{module}-script
%rename         python3-%{module}-scripttools
%rename         python3-%{module}-sql
%rename         python3-%{module}-svg
%rename         python3-%{module}-test
%rename         python3-%{module}-uitools
%rename         python3-%{module}-webkit
%rename         python3-%{module}-xml
%rename         python3-%{module}-xmlpatterns

%description -n python3-%{module}
%{summary}.

%package -n %{module}-devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       python3-%{module} = %{version}-%{release}
Requires:       cmake
Requires:       phonon-devel
Requires:       %{_lib}qt4-devel
Requires:       %{_lib}qtwebkit4-devel
Requires:       python-shiboken-devel
%rename         %{module}-devel
%rename         python3-%{module}-devel
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{module}-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{pyname}-%{version}
cp -a . %{py3dir}

%build
%define Werror_cflags %nil
pushd %{py3dir}
%cmake \
        -DQT_SRC_DIR=%{buildroot}%{qt4dir} \
        -DQT_PHONON_INCLUDE_DIR=%{_includedir}/phonon \
        -DPYTHON_SUFFIX=.%{py3verflags} \
        -DPYTHON_EXECUTABLE=%{__python3}
%make
popd

%cmake \
        -DQT_SRC_DIR=%{buildroot}%{qt4dir} \
        -DQT_PHONON_INCLUDE_DIR=%{_includedir}/phonon
%make

%install
pushd %{py3dir}
%makeinstall_std -C build
popd

%makeinstall_std -C build

# Fix permissions
chmod 755 $RPM_BUILD_ROOT%{python2_sitearch}/PySide/*.so
chmod 755 $RPM_BUILD_ROOT%{python3_sitearch}/PySide/*.so

# Manually create the egg-info data
mkdir -p $RPM_BUILD_ROOT%{pyside_eggpath_py2}
install -m 0644 \
    %{S:1} \
    $RPM_BUILD_ROOT%{pyside_eggpath_py2}/PKG-INFO
echo "PySide" > $RPM_BUILD_ROOT%{pyside_eggpath_py2}/top_level.txt
touch $RPM_BUILD_ROOT%{pyside_eggpath_py2}/not-zip-safe
mkdir -p $RPM_BUILD_ROOT%{pyside_eggpath_py3}
install -m 0644 \
    %{S:1} \
    $RPM_BUILD_ROOT%{pyside_eggpath_py3}/PKG-INFO
echo "PySide" > $RPM_BUILD_ROOT%{pyside_eggpath_py3}/top_level.txt
touch $RPM_BUILD_ROOT%{pyside_eggpath_py3}/not-zip-safe

%files
%doc COPYING PySide/licensecomment.txt
%{_libdir}/libpyside-python2.7.so.*
%{python_sitearch}/*

%files -n python3-%{module}
%doc COPYING PySide/licensecomment.txt
%{_libdir}/libpyside.cpython-%{python3_version_nodots}m*.so.*
%{python3_sitearch}/*

%files -n %{module}-devel
%{_includedir}/%{pyname}
%{_libdir}/libpyside*.so
%{_libdir}/cmake/%{pyname}-%{version}
%{_libdir}/pkgconfig/pyside*.pc
%{_datadir}/%{pyname}

%changelog
* Wed Apr 04 2018 marcin82 <fixxer1982 at gmail.com> 1.2.4-1pclos2018
- update, merged into less packages
